Subject: Re: [PATCH net-next v3 06/10] net: dsa: mv88e6xxx: implement port_set_speed for mv88e6250

From: Andrew Lunn <[email-masked]>
Date: Mon, 3 Jun 2019 17:01:26 +0200

On Mon, Jun 03, 2019 at 02:42:19PM +0000, Rasmus Villemoes wrote:
> The data sheet also mentions the possibility of selecting 200 Mbps for
> the MII ports (ports 5 and 6) by setting the ForceSpd field to
> 0x2 (aka MV88E6065_PORT_MAC_CTL_SPEED_200). However, there's a note
> that "actual speed is determined by bit 8 above", and flipping back a
> page, one finds that bits 13:8 are reserved...
> 
> So without further information on what bit 8 means, let's stick to
> supporting just 10 and 100 Mbps on all ports.

200Mbps is also somewhat Marvell Proprietary. I've not seen any other
vendors interfaces supporting it. So i don't think anybody will really
miss it.

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew